#include<bits/stdc++.h>
#include<iomanip>
using namespace std;
struct freelancer
{
        int prihod;
        double procenat;
};
bool sortbysec(freelancer &r,freelancer &k)
{
    return (r.procenat > k.procenat);
}

int main()
{
    int n;
    cin>>n;
    freelancer a[n];
    double maxi;
    long double resenje;
    for (int i=0;i<n;i++)
    {
        cin>>a[i].prihod>>a[i].procenat;
    }
    sort(a,a+n,sortbysec);
    maxi = a[0].prihod;
    resenje = maxi/100.00*a[0].procenat;
    for (int i=1;i<n;i++)
    {
        maxi+=a[i].prihod;
        if (maxi/100.00*a[i].procenat > (maxi-a[i].prihod)/100.00*a[i-1].procenat)
            resenje=maxi/100.00*a[i].procenat;
    }
    cout<<fixed;
    cout<<setprecision(5)<<resenje;
    return 0;
}